:root {
  --black-color: #121416;
  --white-color: #fff;
  --green-color: #00ff00;
  --blue-color: #007bff;
  --accent-color: rgb(118, 34, 227);
  --accent-color-light: rgba(255, 93, 21, 0.3);
  --accent-hover: rgb(102, 33, 192);
}

@font-face {
  font-family: "RothornVariableNew";
  src: url("../fonts/font2.woff2") format("woff2"),
    url("../fonts/font2.woff2") format("woff");
  font-weight: normal;
  font-style: normal;
}

button {
  background: none;
  border: none;
  padding: 0;
  margin: 0;
  font: inherit;
  color: inherit;
  cursor: pointer;
  outline: none;
}

body {
  margin: 0;
  font-family: "RothornVariableNew", Verdana, Tahoma, sans-serif;
  background-color: var(--white-color);
  color: var(--black-color);
}

.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  max-width: 800px;
  margin: 0 auto;
  padding: 20px;
}

.logo {
  height: 40px;
  color: var(--accent-color);
}

.question-counter {
  font-size: 0.9rem;
  color: var(--accent-color);
}

.progress-container {
  background-color: lightgray;
  height: 6px;
  width: 100%;
}

.progress-bar {
  height: 6px;
  background: var(--accent-color);
  width: 0%;
  transition: width 0.3s ease;
}

.container {
  max-width: 650px;
  margin: 0 auto;
  padding-left: 20px;
  padding-right: 20px;
  text-align: center;
}

h1 {
  font-size: 1.8rem;
  margin: 20px 0;
}

.options {
  display: flex;
  flex-direction: column;

  gap: 10px;
}

.option {
  background: var(--white-color);
  display: flex;
  justify-content: center;
  align-items: center;
  border: 3px solid var(--accent-color);
  border-radius: 12px;
  padding: 15px;
  font-size: 18px;
  cursor: pointer;
  transition: background 0.3s ease, transform 0.2s ease;
}

.option:hover {
  background: var(--accent-color-light);
  transform: scale(1.03);
}

.option.selected {
  background-color: var(--accent-hover);
  transform: scale(1.03);
}

.crypto {
  background: #111;
  padding: 15px;
  margin: 10px 0;
  border-radius: 8px;
  text-align: left;
}

.result-circle {
  position: relative;
  width: 120px;
  height: 120px;
  margin: 30px auto;
}

.result-circle svg {
  transform: rotate(-90deg);
}

.result-circle circle {
  fill: none;
  stroke-width: 10;
}

.result-circle .bg {
  stroke: var(--blue-color);
}

.result-circle .progress {
  stroke: var(--green-color);
  stroke-linecap: round;
  transition: stroke-dasharray 0.3s ease;
}

.result-circle span {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 26px;
  color: var(--white-color);
  font-weight: bold;
}

.registration input {
  width: 90%;
  font-size: 18px;

  padding: 15px;
  margin: 8px 0;
  height: 36px;
  border-radius: 12px;
  border: 3px solid var(--accent-color);
}

input.invalid {
  border: 1px solid red;
  outline: none;
}

.error-message {
  color: red;
  font-size: 0.9em;
  margin-bottom: 10px;
}

.result-circle {
  margin: 20px auto;
  position: relative;
  width: 120px;
  height: 120px;
}
.result-circle svg circle.bg {
  fill: none;
  stroke: #eee;
  stroke-width: 10;
}
.result-circle svg circle.progress {
  fill: none;
  stroke: #4caf50;
  stroke-width: 10;
  transform: rotate(-90deg);
  transform-origin: 50% 50%;
}
#circleProgress {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 20px;
  font-weight: bold;
}
.checklist {
  margin-top: 30px;
  padding-left: 0;
  list-style: none;
  text-align: left;
  max-width: 100%;
  margin: 30px auto;
}
.checklist li {
  font-weight: 300;
  color: #888;
  margin: 10px 0;
  display: flex;
  align-items: center;
  transition: all 0.3s ease;
}
.checklist li.active {
  color: #333;
  font-weight: 500;
}
.checklist .icon {
  width: 20px;
  display: inline-block;
  margin-right: 10px;
  color: #888;
  transition: color 0.3s;
}
.checklist li.active .icon {
  color: #4caf50;
}

@media (max-width: 767px) {
  .options.q1,
  .options.q3,
  .options.q2,
  .options.q5 {
    display: grid;
    grid-template-columns: 1fr;
  }

  h1 {
    font-size: 24px;
  }
}

/* Start */

.start-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  justify-content: center;
  height: 100vh;
  background-image: url("../images/back-mountains-desktop.webp");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.start-container-title {
  font-size: 66px;
  line-height: 4.75rem;
  font-weight: 900;
  transform: scale(1, 1);
  text-shadow: 1px 0 black, -1px 0 black, 0 1px black, 0 -1px black;
  text-transform: uppercase;
}

.start-container-title-thank {
  font-size: 40px;
  line-height: normal;
  font-weight: 800;
  transform: scale(1, 1);
  text-shadow: 1px 0 black, -1px 0 black, 0 1px black, 0 -1px black;
  text-transform: uppercase;
}

.start-container-subtitle {
  font-size: 20px;
  margin-bottom: 40px;
}

.start-btn,
.btn {
  height: 64px;
  width: 300px;
  background-color: var(--accent-color);
  color: var(--white-color);
  font-size: 20px;
  font-weight: 600;
  border-radius: 12px;
  outline: 2px solid transparent;
  display: flex;
  justify-content: center;
  align-items: center;
}

.btn {
  margin: 0 auto;
}

.start-btn:hover {
  background-color: var(--accent-hover);
}

.start-content {
  position: relative;
}

.start-header {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  max-width: 840px;
  width: 100%;
  margin: 0 auto;
  padding: 20px;
}

@media (max-width: 780px) {
  /* .start-container {
    background-image: url("../images/back-mountains-mobile.webp");
  } */

  .start-container-title {
    font-size: 32px;
    line-height: 2.6rem;
  }

  .start-container-subtitle {
    font-size: 18px;
    margin-bottom: 32px;
  }

  .start-header {
    left: 20px;
    transform: translateX(0);
    padding: 20px 0;
  }
}

#quiz,
#analyzing,
#registration,
#thankYou,
.progress-container,
.header {
  display: none;
}

.analyzing-screen {
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  text-align: center;
  font-size: 1.5rem;
  padding: 2rem;
}

.loading-bar {
  width: 100%;
  height: 12px;
  background-color: #e0e0e0;
  border-radius: 6px;
  overflow: hidden;
  margin-top: 20px;
  position: relative;
}

.loading-fill {
  height: 100%;
  width: 0%;
  background-color: var(--accent-color);
  transition: width 0.3s ease;
}

.loading-percent {
  margin-top: 10px;
  font-weight: bold;
  font-size: 1.2rem;
}

/* Intel Tel */

.intl-tel-input {
  width: 100%;
}

.intl-tel-input {
  width: 100%;
  position: relative;
  display: inline-block;
}

.intl-tel-input .flag-container {
  height: 70px;
  border-right: 1px solid #2f79e8;
  border-radius: 4px 0 0 4px;
}

.iti {
  display: block !important;
}
.iti__country-list {
  z-index: 333 !important;
}

.iti__selected-flag {
  border-radius: 12px;
  margin-left: 16px;
}

@media (max-width: 680px) {
  .iti__selected-flag {
    margin-left: 0;
  }
}

#phone {
  font-size: 18px;
  width: 100%; /* По умолчанию для мобильных */
  padding-left: 75px !important;
  padding: 15px;
  margin: 8px 0;
  height: 70px !important;
  border-radius: 12px;
  border: 3px solid var(--accent-color);
}

/* Для планшетов и компьютеров */
@media (min-width: 768px) {
  #phone {
    width: 95%;
  }
}

.header svg, .start-header svg {
  max-width: 100px;
  width: 100%;
  height: auto;
}

.logo {
  max-width: 50px;
  width: 100%;
  /* object-fit: cover; */
}